# Alternative 1: Ansible - Fully Automated

"Complete Core" playbook performs all activities listed in step-by-step deployment automatically, calling required roles for kubectl actions and Helm chart deployments.

This playbook is available on Rierino repository which can be cloned using your GitHub user that is granted access.&#x20;

{% code overflow="wrap" %}

```shell
# Clone Git repository with Ansible playbooks
git clone --branch release-[DEPLOYMENT_VERSION] https://[GIT_USER]:[GIT_TOKEN]@github.com/rierino-open/deployment
cd deployment/ansible
# Set Ansible config file according to your cloud service provider
# Run Ansible playbook with required credential variables
ANSIBLE_CONFIG=ansible.[CLOUD].cfg ansible-playbook playbooks/_application/complete-core.yml --extra-vars "[VARIABLE KEY VALUE PAIRS]"
```

{% endcode %}

All other Ansible playbook variables can be passed through this automation playbook. At a minimum the following variables are required:

<table><thead><tr><th width="279">Variable</th><th>Definition</th></tr></thead><tbody><tr><td>gitUser</td><td>GitHub user that has been granted access to rierino-open repository</td></tr><tr><td>gitToken</td><td>GitHub token for your gitUser with read access rights</td></tr><tr><td>mavenUser</td><td>GitHub user that has been granted access to rierino repository (if different than gitUser)</td></tr><tr><td>mavenPassword</td><td>GitHub token for your mavenUser with read access rights (if different than gitToken)</td></tr><tr><td>gateway_secret</td><td>Base64 encoded random text that will be used for encoding and decoding gateway JWTs</td></tr><tr><td>keycloak_admin_user</td><td>Admin username for Keycloak instance (if used)</td></tr><tr><td>keycloak_admin_password</td><td>Admin password for Keycloak instance (if used)</td></tr><tr><td>keycloak_admin_secret</td><td>Admin secret to access Keycloak (if used)</td></tr><tr><td>domain</td><td>Domain suffix used for external address assignments</td></tr><tr><td>rierinoVersion</td><td>Rierino platform version to deploy</td></tr><tr><td>chartVersion</td><td>Helm chart version to deploy (defaults to rierinoVersion)</td></tr><tr><td>assetVersion</td><td>Deployment assets version to deploy on globals (defaults to rierinoVersion)</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rierino.com/installation/deployment-alternatives/kubernetes-deployment/alternative-1-ansible-fully-automated.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
